Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
- Arguments
- ByteArrayReader
- Classfile
- Classfiles
- CodeWriter
- Decode
- JavaWriter
- Main
- MetaParser
- Properties

c

scala.tools.scalap

# Classfile 

###

#### class Classfile extends AnyRef

Source
  Classfile.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Classfile
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Classfile(in: ByteArrayReader)

### Type Members

1.  case class Attribute (name: Int, data: Array[Byte]) extends Product with Serializable
2.  case class Member (field: Boolean, flags: Int, name: Int, tpe: Int, attribs: List[Attribute]) extends Product with Serializable

   *

3.  class Pool extends AnyRef
4.  type UTF8 = Pool.UTF8

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Classfile to any2stringadd[Classfile] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Classfile, B)
   Implicit
     This member is added by an implicit conversion from Classfile to ArrowAssoc[Classfile] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val attribs: List[Attribute]
8.  val classname: Char
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def ensuring(cond: (Classfile) ⇒ Boolean, msg: ⇒ Any): Classfile
    Implicit
      This member is added by an implicit conversion from Classfile to Ensuring[Classfile] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (Classfile) ⇒ Boolean): Classfile
    Implicit
      This member is added by an implicit conversion from Classfile to Ensuring[Classfile] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): Classfile
    Implicit
      This member is added by an implicit conversion from Classfile to Ensuring[Classfile] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): Classfile
    Implicit
      This member is added by an implicit conversion from Classfile to Ensuring[Classfile] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  val fields: List[Member]
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  val flags: Char
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Classfile to StringFormat[Classfile] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
22.  val interfaces: List[Int]
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  val majorVersion: Char
25.  val methods: List[Member]
26.  val minorVersion: Char
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
30.  val pool: Pool
31.  def readAttribs: List[Attribute]
32.  def readInterfaces: List[Int]
33.  def readMembers(field: Boolean): List[Member]
34.  def scalaSigAttribute: Option[Attribute]
35.  val superclass: Char
36.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  def →[B](y: B): (Classfile, B)
    Implicit
      This member is added by an implicit conversion from Classfile to ArrowAssoc[Classfile] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Classfile to any2stringadd[Classfile]

### Inherited by implicit conversion StringFormat from Classfile to StringFormat[Classfile]

### Inherited by implicit conversion Ensuring from Classfile to Ensuring[Classfile]

### Inherited by implicit conversion ArrowAssoc from Classfile to ArrowAssoc[Classfile]

### Ungrouped